=== debian/changelog ===
neutron (2:16.4.2-0ubuntu6.2) focal-security; urgency=medium

  * SECURITY UPDATE: uncontrolled resource consumption flaw
    - debian/patches/CVE-2022-3277.patch: do not allow a tenant to create a
      default SG for another one in neutron/db/securitygroups_db.py,
      neutron/tests/unit/db/test_securitygroups_db.py.
    - CVE-2022-3277

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 Apr 2023 10:13:42 -0400

neutron (2:16.4.2-0ubuntu6.1) focal; urgency=medium

  * d/p/ovn-Filter-ACL-columns-when-syncing-the-DB.patch: Backport fix for
    neutron-ovn-db-sync-util to ensure that ACL columns are filtered to
    include only those used by the OVN mechanism driver (LP: #1951296).

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Tue, 28 Mar 2023 16:11:11 +0100

neutron (2:16.4.2-0ubuntu6) focal; urgency=medium

  * d/control: Add openvswitch-common dependency to neutron-server
    binary package (LP: #1960319).

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Fri, 27 Jan 2023 13:38:38 +0000

neutron (2:16.4.2-0ubuntu5) focal; urgency=medium

  Backport fix for port dns_domain sync (LP: #1873091):
  * d/p/sync-the-dns-assignment-with-the-actual-designate-dn.patch

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Tue, 20 Sep 2022 13:41:55 +0100

neutron (2:16.4.2-0ubuntu4) focal; urgency=medium

  [ Zhang Hua ]
  * d/p/defer-flow-deletion-in-openvswitch-firewall.patch:
    Defer flow deletion in openvswitch firewall (LP: #1975674)

  [ Edward Hope-Morley ]
  * Ensure ovn virtual port type not removed (LP: #1973276)
    - d/p/ovn-allow-vip-ports-with-defined-device-owner.patch
    - d/p/set-type-virtual-for-ovn-lsp-with-parent-ports.patch

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Sep 2022 15:42:05 -0400

neutron (2:16.4.2-0ubuntu3) focal; urgency=medium

  * d/p/partially-revert-do-not-link-up-ha-router-gateway-in.patch:
    Picked from upstream to ensure that ha_confs path is created
    when the keepalived manager is initialised (LP: #1965297).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Jul 2022 15:50:56 -0400

neutron (2:16.4.2-0ubuntu2) focal; urgency=medium

  * d/p/lp1975594*.patch: Backport of various patches to fix OVN
    functionality on Ussuri (LP: #1975594).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 May 2022 09:48:43 -0400

neutron (2:16.4.2-0ubuntu1) focal; urgency=medium

  * New stable point release for OpenStack Ussuri (LP: #1956994).
  * d/p/revert-l3-ha-retry-when-setting-ha-router-gw-status.patch:
    Remove after patch is released upstream

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 11 Jan 2022 21:11:43 +0000

neutron (2:16.4.1-0ubuntu2) focal; urgency=medium

  * d/p/lp1934912-set-arp-entries-only-for-single-ip.patch: Cherry-pick
    upstream patch (LP: #1934912)

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 01 Oct 2021 12:18:58 +0000

neutron (2:16.4.1-0ubuntu1) focal; urgency=medium

  [ Corey Bryant ]
  * d/p/revert-rely-on-worker-count-for-hashring-caching.patch: Dropped.
    Fixed upstream by https://review.opendev.org/c/openstack/neutron/+/800679
    in the 16.4.1 stable release.

  [ Chris MacNaughton ]
  * New stable point release for OpenStack Ussuri (LP: #1943712).
  * d/p/provide-integer-argument-to-arping.patch: Removed after
    inclusion in upstream release.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 17 Sep 2021 10:05:08 +0000

neutron (2:16.4.0-0ubuntu3) focal; urgency=medium

  * d/p/revert-l3-ha-retry-when-setting-ha-router-gw-status.patch: Revert
    upstream patch that introduced regression that prevented full restore
    of HA routers on restart of L3 agent (LP: #1927868).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Jul 2021 17:20:43 -0400

neutron (2:16.4.0-0ubuntu2) focal; urgency=medium

  * d/p/provide-integer-argument-to-arping.patch: Cherry-pick upstream
    patch to ensure gratuitous APRs are correctly sent (LP: #1885169).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 16 Jul 2021 14:25:28 +0000

neutron (2:16.4.0-0ubuntu1) focal; urgency=medium

  * New stable point release for OpenStack Ussuri (LP: #1935030).
  * Remove patches that have landed upstream in this point release:
    - d/p/updates-for-python3.8.patch
    - d/p/0001-Update-arp-entry-of-snat-port-on-qrouter-ns.patch

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 13 Jul 2021 12:40:23 +0000
