=== debian/changelog ===
neutron (2:17.0.0-2) unstable; urgency=medium

  * Update Floating_IP_s_for_routed_networks.patch.
  * Rename policy.json instead of deleting it.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Dec 2020 13:13:18 +0100

neutron (2:17.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 12:05:19 +0200

neutron (2:17.0.0~rc2-1) experimental; urgency=medium

  * New upstream release.
  * Add a debian/salsa-ci.yml.
  * Fixed watch file to correctly mangle upstream releases.

 -- Thomas Goirand <zigo@debian.org>  Fri, 09 Oct 2020 14:46:33 +0200

neutron (2:17.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Drop patch:
    - flake8-legacy.patch
    - Add_a_healthcheck_URL.patch (applied upstream).
  * Refreshed: Floating_IP_s_for_routed_networks.patch.
  * Re-ordered the generation of config files.
  * Switch to yaml policy files in /etc/neutron/policy.d.
  * Add a new neutron-ovn-metadata-agent package.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Sep 2020 08:57:48 +0200

neutron (2:16.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Add python3-isort build-depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Aug 2020 11:59:36 +0200

neutron (2:16.0.0-5) unstable; urgency=medium

  * Add a neutron-doc package.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Aug 2020 15:46:08 +0200

neutron (2:16.0.0-4) unstable; urgency=medium

  * Allow cfg.CONF.register_opts to fail in debian/neutron-plugin-manage.

 -- Thomas Goirand <zigo@debian.org>  Tue, 11 Aug 2020 17:13:37 +0200

neutron (2:16.0.0-3) unstable; urgency=medium

  * Add a number of unit test blacklist, which are failing tests, but don't
    look like a problem in Neutron code.
  * Add Floating_IP_s_for_routed_networks.patch.
  * Remove now useless --with systemd.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 Jul 2020 11:45:31 +0200

neutron (2:16.0.0-2) unstable; urgency=medium

  * d/control: Add haproxy dependency for neutron-dhcp-agent
  * Update pofiles

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 12 Jun 2020 11:24:52 +0200

neutron (2:16.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 17:35:22 +0200

neutron (2:16.0.0~rc2-4) unstable; urgency=medium

  * Fixed Breaks+Replaces+Provides relation.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 14:57:45 +0200

neutron (2:16.0.0~rc2-3) unstable; urgency=medium

  * Updated es.po debconf translations (Closes: #958871).
  * Add Provides+Breaks+Replaces python3-networking-ovn (Closes: #959863).

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 May 2020 18:16:17 +0200

neutron (2:16.0.0~rc2-1) unstable; urgency=medium

  * Add Add_a_healthcheck_URL.patch.
  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 May 2020 17:32:13 +0200

neutron (2:16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed using-python3-not-python.patch.
  * Remove after dh_install in neutron-common (TripleO stuff):
    - /usr/bin/ovn_migration.sh
    - usr/share/ansible/neutron-ovn-migration

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Apr 2020 15:58:49 +0200

neutron (2:15.0.2-1) unstable; urgency=medium

  * New upstream point release.
  * Blacklist test_handle_trunk_remove_trunk_manager_failure().

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Mar 2020 13:05:13 +0100

neutron (2:15.0.0-5) unstable; urgency=medium

  * Add debian/patches/using-python3-not-python.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Feb 2020 15:13:14 +0100

neutron (2:15.0.0-4) unstable; urgency=medium

  * Fix the description of neutron-api in debian/neutron-api.service.in.
  * Removed (build-)depends on python3-gflags: not needed.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Feb 2020 10:45:27 +0100
