=== debian/control ===
--- 
+++ 
@@ -17,16 +17,16 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- alembic,
+ alembic (>= 0.9.6),
  bridge-utils,
- python3-astroid (>= 2.3.3),
+ python3-astroid (>= 2.4.0),
  python3-cliff,
  python3-coverage,
  python3-ddt,
  python3-debtcollector,
  python3-decorator,
  python3-designateclient,
- python3-eventlet (>= 0.21.0),
+ python3-eventlet (>= 0.22.1),
  python3-fixtures,
  python3-flake8,
  python3-futurist,
@@ -48,11 +48,11 @@
  python3-openvswitch,
  python3-os-ken,
  python3-os-vif (>= 1.15.1),
- python3-os-xenapi,
+ python3-os-xenapi (>= 0.3.4),
  python3-oslo.cache,
  python3-oslo.concurrency,
  python3-oslo.config,
- python3-oslo.context,
+ python3-oslo.context (>= 2.22.0),
  python3-oslo.db (>= 4.44.0),
  python3-oslo.i18n,
  python3-oslo.log (>= 4.2.1),
