## neutron 17.1.1

=== debian/changelog ===
neutron (2:17.1.1-6) unstable; urgency=medium

  * Add fix-rootwrap-does-not-include-python-3.9.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Jun 2021 10:51:00 +0200

neutron (2:17.1.1-5) unstable; urgency=high

  * CVE-2021-20267: Anti-spoofing bypass using Open vSwitch. Applied upstream
    patch: Restrict_IPv6_NA_and_DHCPv6_IP_and_MAC_source_addresses.patch
    (Closes: #985104).

 -- Thomas Goirand <zigo@debian.org>  Mon, 17 May 2021 20:47:34 +0200

neutron (2:17.1.1-4) unstable; urgency=medium

  * Restore sanity in ml2_conf.ini / metadata_agent.ini generation (last
    upload was a disaster).

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Apr 2021 17:26:26 +0200

neutron (2:17.1.1-3) unstable; urgency=medium

  * Remove previous (wrong) fix and correctly generate metadata_agent.ini in
    the /usr/share/neutron-metadata-agent/ folder of the neutron-metadata-agent
    package.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Apr 2021 18:59:02 +0200

neutron (2:17.1.1-2) unstable; urgency=medium

  * Add missing "pkgos_write_new_conf neutron metadata_agent.ini" in the
    neutron-metadata-agent.postinst.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Apr 2021 17:44:05 +0200

neutron (2:17.1.1-1) unstable; urgency=medium

  * Tune neutron-api-uwsgi.ini for performance.
  * New upstream release.
  * neutron-common: do not manage metadata_agent.ini, and let the
    neutron-metadata-agent package do it. Thanks to Andreas Beckmann for the
    bug report. (Closes: #987196).

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Apr 2021 12:31:47 +0200

neutron (2:17.1.0-2) unstable; urgency=medium

  * Add Breaks: python3-neutron-fwaas (Closes: #985293).

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Mar 2021 21:18:42 +0100
